# Interface methods for submodule: FFTConvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ConvolutionImageFilterBaseProxy as _ConvolutionImageFilterBaseProxy


# Interface methods for class: FFTConvolutionImageFilter
class FFTConvolutionImageFilterProxy(_ConvolutionImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSizeGreatestPrimeFactor(self, _arg: int) -> None:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

